<?php

namespace App\Console\Commands;

use Illuminate\Console\Command;
use Illuminate\Database\Eloquent\ModelNotFoundException;
use Illuminate\Support\Facades\Log;

use App\Models\Address;
use App\Jobs\AddressPoll as Job;

class BinkpSend extends Command
{
	/**
	 * The name and signature of the console command.
	 *
	 * @var string
	 */
	protected $signature = 'binkp:send {ftn : FTN to Send to}';

	/**
	 * The console command description.
	 *
	 * @var string
	 */
	protected $description = 'Binkp send';

	/**
	 * Execute the console command.
	 *
	 * @throws \Exception
	 */
	public function handle(): void
	{
		Log::info('Call BINKP send');

		$ao = Address::findFTN($this->argument('ftn'));
		if (! $ao)
			throw new ModelNotFoundException('Unknown node: '.$this->argument('ftn'));

		Job::dispatchSync($ao);
	}
}
